Get Event Types
get
/events/schemas
Gets the event types from the BRM data dictionary
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
The list of event types is returned successfully.
Nested Schema : eventTypeSpec
Type:
Show Source
object-
extension: object
extension
The extended attributes.
-
fields: array
fields
The list of fields that belong to the event type.
-
type(required): string
The BRM event type, for example: /event/billing/payment/cash.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : fields
Type:
arrayThe list of fields that belong to the event type.
Show Source
-
Array of:
object EventTypeField
The list of fields that belong to the event type.
Nested Schema : EventTypeField
Type:
objectThe list of fields that belong to the event type.
Show Source
-
dataType: integer
(int32)
The event field data type. Allowed Values:
- 1 (Integer)
- 3 (Enumeration)
- 5 (Buffer)
- 6 (String)
- 7 (POID)
- 8 (Timestamp)
- 9 (Array)
- 10 (Binary String)
- 12 (Substruct)
- 14 (Decimal)
-
fieldName(required): string
The BRM field name.
-
fields: array
fields
Nested field metadata for ARRAY or SUBSTRUCT fields.
-
isRequired: boolean
Indicates whether the field is required.
Nested Schema : fields
Type:
arrayNested field metadata for ARRAY or SUBSTRUCT fields.
Show Source
-
Array of:
object EventTypeField
The list of fields that belong to the event type.
500 Response
An internal server error occurred.